<div id="carousel-example-generic" class="carousel slide" data-ride="carousel">
  <!-- Indicators -->
  <ol class="carousel-indicators">
    <li data-target="#carousel-example-generic" data-slide-to="0" class="active"></li>
    <li data-target="#carousel-example-generic" data-slide-to="1"></li>
    <li data-target="#carousel-example-generic" data-slide-to="2"></li>
  </ol>

  <!-- Wrapper for slides -->
  <div class="carousel-inner" role="listbox">
    <div class="item active">
      <img src="animals/elephant.jpg" alt="..." style="width:100%; height:100%">
      <div class="carousel-caption">
        This is an Elephant
      </div>
    </div>
    <div class="item">
      <img src="animals/lion.jpg" alt="..." style="width:100%; height:100%">
      <div class="carousel-caption">
        This is a lion
      </div>
    </div>

    <div class="item">
      <img src="animals/rabbit.jpg" alt="..." style="width:100%; height:100%">
      <div class="carousel-caption">
        This is a Rabbit
      </div>
    </div>
    ...
  </div>

  <!-- Controls -->
  <a class="left carousel-control" href="#carousel-example-generic" role="button" data-slide="prev">
    <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="right carousel-control" href="#carousel-example-generic" role="button" data-slide="next">
    <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>